/* 
    Created on : 19 Sep, 2017, 9:23:51 AM
    Author     : NE16T1213
*/

.lxrm-dnone{display: none;}
#psiResultWrapper{color: #4F4F4F;}
.analysisTime{
    text-align: right;
}
/*Styles related to score graph*/
.scoreWrapper .progress {
    width: 150px;
    height: 150px;
    background: #FFF5E7;
    position: relative;
    box-shadow: none !important;
    border-radius: 10em;
}
.scoreWrapper .progress::after {
    content: "";
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 10px solid #FFF5E7;
    position: absolute;
    top: 0;
    left: 0;
}

.scoreWrapper .progress>span {
    width: 50%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    top: 0;
    z-index: 1;
}

.scoreWrapper .progress .progress-left {
    left: 0;
}

.scoreWrapper .progress .progress-bar {
    width: 100%;
    height: 100%;
    background: none;
    border-width: 10px;
    border-style: solid;
    position: absolute;
    top: 0;
}

.scoreWrapper .progress .progress-left .progress-bar {
    left: 100%;
    border-top-right-radius: 80px;
    border-bottom-right-radius: 80px;
    border-left: 0;
    -webkit-transform-origin: center left;
    transform-origin: center left;
}

.scoreWrapper .progress .progress-right {
    right: 0;
}

.scoreWrapper .progress .progress-right .progress-bar {
    left: -100%;
    border-top-left-radius: 80px;
    border-bottom-left-radius: 80px;
    border-right: 0;
    -webkit-transform-origin: center right;
    transform-origin: center right;
}

.scoreWrapper .progress .progress-value {
    position: absolute;
    top: 0;
    left: 0;
}
.border-primary{border-color:#F2F2F2;}
/*
* ==========================================
* FOR DEMO PURPOSE
* ==========================================
*
*/
.rounded-lg {
    border-radius: 1rem;
}

.text-gray {
    color: #aaa;
}

div.h4 {
    line-height: 1rem;
}
/*Common for LXRM*/
.lxrm-padding-none{padding: 0;}
.lxrm-h-100 {height: 100%!important;}
.lxrm-w-100 {width: 100%!important;}
.lxrm-align-items-center {-ms-flex-align: center!important;align-items: center!important;}
.lxrm-justify-content-center {-ms-flex-pack: center!important;justify-content: center!important;}
.lxrm-d-flex {display: -ms-flexbox!important;display: flex!important;}
.lxrm-ml-auto, .lxrm-mx-auto {
    margin-left: auto !important;
}

.lxrm-mr-auto, .lxrm-mx-auto {
    margin-right: auto !important;
}
/*Overrided colors:*/
.nav-tabs li a{
    color: #333 !important;
    font-size: 19px !important;
    background-color: #fff;
}
.nav-tabs>li.active>a, .nav-tabs>li.active>a:focus, .nav-tabs>li.active>a:hover {
    cursor: pointer;
    background-color: #fff;
    border-bottom: 2.5px solid #333 !important;
    border-left: none !important;
    border-right:none !important;
    border-top:none !important;
}
.lightHouseScoreGuide{
    border: 1px solid #F2F2F2;
    border-radius: 50px;
}
/*Review URL*/
.psiReviewURL{
    word-break: break-all;
    cursor: pointer;
    text-align: center;
    color: #333 !important;
    background-color: #fff;
}
.psiReviewURL > a{
    word-break: break-word;
    cursor: pointer;
    color: #333 !important;
    /*background-color: #fff;*/
}
/*Progrees bar colors of graph*/
.graphWrapper .progress{
    height: 30px !important;
}
.graphWrapper .progress-bar-success{
    padding: 5px 0;
    background-color:#55CF6A; 
}
.graphWrapper .progress-bar-warning{
    padding: 5px 0;
    background-color:#F6A402; 
    color: #FFF;
}
.graphWrapper .progress-bar-danger{
    padding: 5px 0;
    background-color:#F14C43; 
}
/*Common for this tool*/
.lxrm-shadow {box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important;}
.lxrm-sub-header-1{font-size: 24px;}
.lxrm-sub-header-2{font-size: 20px;}
.lxrm-sub-header-3{font-size: 16px;}
.tool-info{font-size: 1.1em;vertical-align: middle !important;}
.metric-title{color: #333333;white-space: normal;word-break: break-word;}
.lxrm-p-2 {padding: 2rem!important;}
.lxrm-p-1 {padding: 1rem!important;}
.lxrm-rounded-lg {border-radius: .3rem !important;}
.lxrm-bg-white {background-color: #fff !important;}
/*Score clors*/
.border-bottom{border-bottom:1px solid #F2F2F2;}
.border-top{border-top:1px solid #F2F2F2;}
.fast{color:#55CF6A}
.average{color:#F6A402}
.slow{color:#F14C43}
.none{color:#757575}
.lxrm-pl-none{padding-left: 0;}
.lxrm-ptb-1{padding-top: 1.5em;padding-bottom: 1.5em;}
.lxrm-ptb-Half{padding: 0.5em 0;}
.lxrm-plr-1{padding-left: 1rem !important;padding-right:1rem !important;}
/*lab data styles*/
.lab-info{margin:1em 0;}
/*.result-data .col-xs-12{padding:0 0.6em;}*/
/*.result-data .fa{padding:5px;}*/
.result-data .divider{border-top:1px solid #F2F2F2;}
.result-data .divider-bottom{border-bottom:1px solid #F2F2F2;border-top:1px solid #F2F2F2;}
.labdataWrapper .col-xs-1, .labdataWrapper .col-xs-8, .labdataWrapper .col-xs-2 {padding: 5px;margin: 0;}
.labDataInfo{ padding: 0.8em 0.6em;}
.first{text-align: left !important;font-size: 1.1em !important;word-break: break-all !important;padding: 0.8em 0.6em}
#mobileLabDataOptionsWrapper label{padding: 0.3em 1.5em;}
#mobileLabDataOptionsWrapper label input{display: none;}
#deskTopLabDataOptionsWrapper label{padding: 0.3em 1.5em;}
#deskTopLabDataOptionsWrapper label input{display: none;}
#mobileLabDataOptionsWrapper .active{background:#2f80ed !important;color:#FFF !important;}
#deskTopLabDataOptionsWrapper .active{background:#2f80ed !important;color:#FFF !important;}
.labData-title{padding-top:0.2em}


/*Thumnails styles*/
.lxrm-thumbnail .col-xs-1,.lxrm-thumbnail .col-sm-1{padding:1%;margin:0;min-height:1px}
.lxrm-thumbnail{padding:20px;margin:1em 0;}
.lxrm-thumbnail img{width:100%;border:1px solid #F2F2F2;}
.lxrm-visible-xs,.lxrm-visible-sm{display: none;}
.list-inline>li{width: 10%;}
.list-inline>li img{width: 100%;}
#mobileFinalScreenShot img{border-radius: 10px;}
.auditCategorieWrapper{margin-bottom: 1.5em;}
.cardWrapper{padding:1.5em 0;}
/*Audit Rule Table */
.auditRuleTable{width: 100%;}
.psi-description{padding: 1em;word-break: break-word;white-space: normal;}
.childRowTextLeft, .childRowTextRight, .childRowTextCenter{word-break: break-all;vertical-align: middle !important; font-size: 1.1em;}
.childRowTextLeft{text-align: left;}
.childRowTextRight{text-align: right;}
.childRowTextCenter{text-align: center;}
.childRowTextRight{text-align: right;vertical-align: middle !important;font-size: 1.1em;}
.lxrmWordBreak{word-break: break-word !important;}
.image-txt-container{display:flex;align-items:center;flex-direction: row;}
.psiTextArea{ border: none; resize: none   }
.psiHyerLink{color: #2F80ED !important;text-decoration: none !important;}
.psi-rule-warning{word-break: break-word;padding:0.75em;}
.warning-li{list-style: disc !important;}
/*Styles related to critical chain audit rule*/
/*Deafult*/
.tree li {list-style-type:none;margin:0;padding:1em 0 0 1em;position:relative;word-break: break-all;}
.tree li::before, .tree li::after {
    content:'';
    left:-20px;
    position:absolute;
    right:auto
}
.tree li::before {
    border-left:1px solid #A1A1A1;
    bottom:50px;
    height:100%;
    top:0;
    width:1px
}
.tree li::after {
    border-top:1px solid #999;
    height:20px;
    top:25px;
    width:25px
}
.tree li span {
    -moz-border-radius:5px;
    -webkit-border-radius:5px;
    text-decoration:none
}
/*.tree li.parent_li>span {
    cursor:pointer
}*/
.tree>ul>li::before, .tree>ul>li::after {
    border:0
}
.tree li:last-child::before {
    height:30px
}
.tree li.parent_li>span:hover, .tree li.parent_li>span:hover+ul li span {
    background:#eee;
    border:1px solid #94a0b4;
    color:#000
}
/*Custom*/
.initialNavigationUL{
    margin-block-start: 0 !important;
    margin-block-end: 0 !important;
    margin-inline-start: 0px !important;
    margin-inline-end: 0px !important;
    padding-inline-start: 0px !important;
}
/*End of critical chain audit rule*/
/*ScoreBoard CSS Start*/
.scoreGuideWrapper{margin-bottom: 2em;}
.scoreGuideWrapper .col-xs-3,.scoreGuideWrapper .col-xs-4{padding: 0;text-align: right;}
.scoreGuideWrapper .col-xs-3:first-child{margin:0 0.8em;}
/*ScoreBoard CSS Ends*/

/*Media queries styles related to hide in small devices*/
@media (max-width: 767px) {
    #deskTopPassedAuditsRulesWrapper .card-body .col-xs-12 .lxrm-m-0{padding:0;}
    #deskTopPassedAuditsRulesWrapper .card-body .col-xs-12 .lxrm-m-0 .row .lxrm-p-0{padding:0;}
    .lxrm-hidden-xs {display: none !important;}
    .lxrm-visible-xs {display: block !important;}
    #mobileFinalScreenShotSmallDevices{justify-content: center;text-align: center};
    #mobileFinalScreenShotSmallDevices .lxrm-thumbnail img{width: 50%;}
    .analysisTime{text-align: center;}
    .list-inline>li{width: 100%;}
    .list-inline>li{width: 50%;}
    .image-txt-container{display: block;text-align: center;}
    .image-txt-container span{width: 100%;float: left;text-align: left;}
    .auditRuleTable {width: 100%;overflow: scroll;float: left;display: block;}
    .lxrm-sub-header-3{font-size: 1em !important;}
    .lxrm-sub-header-1{font-size: 1.375em !important;}
    .lxrm-sub-header-2{font-size: 1.125em !important;}
    .tool-info{font-size:1em;vertical-align: middle !important;}
    .table-responsive{font-size: 1em;}
    .col-xs-4{padding:0px}
    .btn-link{padding-right:6px;}
    .labData-title{padding-top:0.3em}
    .angleUp-passedaudit{padding:0.45em}
    #mobilePassedAuditsRulesWrapper .card-body.col-xs-12{padding:0;}
    #mobilePassedAuditsRulesWrapper .col-xs-12.lxrm-p-0{padding:0;}
    .cardWrapper {padding: 0.5em 0;width: 100%;float: left;}
    .first{font-size: 1em !important;}
    .lxrm-sm-pl{padding-left: 0.8em  !important;}
    .btn-link .col-xs-9,.btn-link .col-xs-10{white-space: normal;word-break: break-word;}
    #mobilePassedAuditTitleWrapper .col-sm-1{padding-right: 0.5em;}
    #deskTopPassedAuditTitleWrapper .col-sm-1{padding-right: 0.5em;}
    
}
@media (min-width: 768px) and (max-width: 991px) {
    .analysisTime{text-align: center;}
    .lxrm-hidden-sm{display: none !important;}
    .lxrm-visible-sm {display: block !important;}
    #mobileFinalScreenShotSmallDevices{justify-content: center;text-align: center};
    #mobileFinalScreenShotSmallDevices .lxrm-thumbnail img{width: 50%;}
    .list-inline>li{width: 100%;}
    .list-inline>li{width: 50%;}
    .auditRuleTable {width: 100%;overflow: scroll;float: left;display: block;}
}
@media (min-width : 768px){
    .labDataLeftCell{padding-right: 1em !important;}
    .labDataRightCell{padding-left: 1em !important;}
    .angleUp-passedaudit{padding:0.3em}
}
@media (min-width:1279px){
    .cardWrapper {padding: 0.5em 0;width: 100%;float: left;}
    #mobilePassedAuditsRulesWrapper .col-xs-12 .lxrm-m-0{padding:0;}
    #mobilePassedAuditsRulesWrapper .col-xs-12 .lxrm-p-0{padding:0;}
    #deskTopPassedAuditsRulesWrapper .card-body .col-xs-12 .lxrm-m-0{padding:0;}
    #deskTopPassedAuditsRulesWrapper .card-body .col-xs-12 .lxrm-m-0 .row .lxrm-p-0{padding:0;}
}

